Bug 54 - не собирается из .src.rpm
: не собирается из .src.rpm
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kdelibs)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2001-10-03 16:40 by
Modified: 2003-09-24 12:30 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2001-10-03 16:40:17
In file included from deviceman.cc:53,
                 from libkmid_la.all_cc.cc:9:
/usr/include/linux/asequencer.h: At top level:
/usr/include/linux/asequencer.h:212: conflicting types for `typedef unsigned char snd_seq_event_type\'
/usr/include/sys/asoundlib.h:2144: previous declaration as `enum snd_seq_event_type\'
/usr/include/linux/asequencer.h:218: conflicting types for `typedef struct snd_seq_addr_t snd_seq_addr_t\'
/usr/include/sys/asoundlib.h:2339: previous declaration as `typedef struct snd_seq_addr snd_seq_addr_t\'
---

---
fixed in kdelibs-2.2.1-alt4
------- Comment #1 From 2001-10-03 16:49:16 -------
Да, наверное, надо сказать, что версия 2.2.1-alt3
------- Comment #2 From 2001-10-03 16:49:16 -------
Да, наверное, надо сказать, что версия 2.2.1-alt3
------- Comment #3 From 2001-10-03 17:26:27 -------
Скаким libalsa-devel идет сборка?
Я собирал с libalsa-devel-0.5.10b-alt1
------- Comment #4 From 2001-10-03 17:26:27 -------
Скаким libalsa-devel идет сборка?
Я собирал с libalsa-devel-0.5.10b-alt1
------- Comment #5 From 2001-10-04 16:19:13 -------
Оказалось, что было libalsa2-devel-0.9.0beta7-alt1
снёс, поставил libalsa-devel-0.5.10b-alt1
сборка опять ломается, но в другом месте, вот что пишет:

In file included from giomanager.cc:24:
giomanager.h:26:19: gmain.h: No such file or directory
In file included from giomanager.cc:24:
giomanager.h:64: syntax error before `*\'
giomanager.h:69: parse error before `*\'
giomanager.h:103: syntax error before `(\'
giomanager.h:110: syntax error before `(\'
giomanager.h:117: syntax error before `(\'
giomanager.cc: In function `gboolean Arts::GIOManager_prepare (GSource *, gint *)\':
giomanager.cc:196: no matching function for call to `Arts::GIOManager::prepare (gint *&)\'giomanager.cc: In function `gboolean Arts::GIOManager_check (GSource *)\':
giomanager.cc:201: no matching function for call to `Arts::GIOManager::check ()\'
------- Comment #6 From 2001-10-04 16:19:13 -------
Оказалось, что было libalsa2-devel-0.9.0beta7-alt1
снёс, поставил libalsa-devel-0.5.10b-alt1
сборка опять ломается, но в другом месте, вот что пишет:

In file included from giomanager.cc:24:
giomanager.h:26:19: gmain.h: No such file or directory
In file included from giomanager.cc:24:
giomanager.h:64: syntax error before `*\'
giomanager.h:69: parse error before `*\'
giomanager.h:103: syntax error before `(\'
giomanager.h:110: syntax error before `(\'
giomanager.h:117: syntax error before `(\'
giomanager.cc: In function `gboolean Arts::GIOManager_prepare (GSource *, gint *)\':
giomanager.cc:196: no matching function for call to `Arts::GIOManager::prepare (gint *&)\'giomanager.cc: In function `gboolean Arts::GIOManager_check (GSource *)\':
giomanager.cc:201: no matching function for call to `Arts::GIOManager::check ()\'
------- Comment #7 From 2003-09-24 12:30:35 -------
reassign 2 zerg@altlinux.org